using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace WizardSample.WizardPages
{
    public partial class Complete : ContentPane
    {
        public Complete()
        {
            InitializeComponent();
            Title = "Installation Complete";
            Instructions = "ComponentOne Doc-To-Help has been successfully installed.";
        }
        protected override void OnActivating()
        {
            // done, can't navigate anywhere
            ButtonNext.IsEnabled = ButtonBack.IsEnabled = false;

            // cancel button becomes Close button
            ButtonCancel.Content = "Close";
            WizardDialog.Canceled = false;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Uri uri = new Uri("http://www.doctohelp.com", UriKind.Absolute);
            System.Windows.Browser.HtmlPage.Window.Navigate(uri, "_blank");
        }
    }
}
